import javax.swing.*;
class booktest1
{
public static void outputwindow(String s)
{
String s1="library class output window";	
JOptionPane.showMessageDialog(null,s,s1, JOptionPane.PLAIN_MESSAGE);	
}
	
public static void main(String args[])
{
	
book b[]=new book[5];
b[0]=new book("Bilim ve Teknik","TÜBİTAK","magazine","Turkish");
b[1]=new fiction("It is all quiet in the westen front ","Erich Maria Reamarque","English");
b[2]=new book("The God Delusion","Richard Dawkins","fiction","English");
b[3]=new poetry("Human lanscapes from my country","Nazım Hikmet","English and Turkish");
b[4]=new encyclopedia("Encyclopedia Britannica","English");
library l=new library("Library of congress",b);
String s=l.toString();
outputwindow(s);
}

}
